Subject: Re: enumerate packets not to ack?

From: Mirja Kühlewind <[email-masked]>
Date: Thu, 1 Jun 2017 09:47:55 +0200

These are actually to different things. One is that you should not 
send/generate an ack frame just because you received an ack frame but no 
other data. The other point is that you actually can't really ack server 
retry or version negotiation because they don't have a valid packet number.

On 01.06.2017 03:21, Martin Thomson wrote:
> On 1 June 2017 at 04:57, Jana Iyengar <[email-masked]> wrote:
>> Section 9 says acks must not generate acks, but this is a gap. We should
>> enumerate the packet types (and perhaps frame types too) that must not
>> generate acks. I've filed #563.
>
> What's the taxonomy?  Can we split this based on frame type?
>
> PADDING and ACK alone don't generate the need for an ACK.  However, a
> packet with any other frame type does.  Except when they are carried
> in Server Stateless Retry packets, which never generates
> acknowledgments.
>
> Version Negotiation packets don't contain frames so they don't cause
> acknowledgments to be needed.   Here's a thought: maybe they should.
>

---

From: Martin Thomson <[email-masked]>
Date: Thu, 1 Jun 2017 19:24:51 +1000

> retry or version negotiation because they don't have a valid packet number.

That might be better framing.  On the issue, I suggested that we
instead concentrate on describing what mechanisms we use to ensure
reliability.  I'm not sure that I got that right either, of course.